<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustedOperatingProt" xlink:label="genusplc_AdjustedOperatingProt" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustingItemsExceptionalItems" xlink:label="genusplc_AdjustingItemsExceptionalItems" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_TotalExceptionalItems" xlink:label="genusplc_TotalExceptionalItems" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_TotalAdjustingItems" xlink:label="genusplc_TotalAdjustingItems" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustedOperatingProfit" xlink:label="genusplc_AdjustedOperatingProfit" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustedOperatingLossProfitAttributableToNonControllingInterest" xlink:label="genusplc_AdjustedOperatingLossProfitAttributableToNonControllingInterest" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_PreTaxShareOfProfitsFromJointVenturesAndAssociatesExcludingNetIAS41ValuationMovement" xlink:label="genusplc_PreTaxShareOfProfitsFromJointVenturesAndAssociatesExcludingNetIAS41ValuationMovement" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_GeneEditingCosts" xlink:label="genusplc_GeneEditingCosts" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustedOperatingProfitIncludingJointVenturesAndAssociatesExcludingGeneEditingCosts" xlink:label="genusplc_AdjustedOperatingProfitIncludingJointVenturesAndAssociatesExcludingGeneEditingCosts" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustedOperatingProfitIncludingJointVenturesAndAssociates" xlink:label="genusplc_AdjustedOperatingProfitIncludingJointVenturesAndAssociates" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustedProfitBeforeTax" xlink:label="genusplc_AdjustedProfitBeforeTax" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_BasicAdjustedEarningsPerShare" xlink:label="genusplc_BasicAdjustedEarningsPerShare" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_DilutedAdjustedEarningsPerShare" xlink:label="genusplc_DilutedAdjustedEarningsPerShare" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_ActuarialLossGainsOnRetirementBenetObligations" xlink:label="genusplc_ActuarialLossGainsOnRetirementBenetObligations" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_MovementOnPensionAssetRecognitionRestriction" xlink:label="genusplc_MovementOnPensionAssetRecognitionRestriction" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_ReleaseOfAdditionalPensionLiability" xlink:label="genusplc_ReleaseOfAdditionalPensionLiability" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_ActuarialGainsLossOnRetirementBenefitObligationsNetOfTax" xlink:label="genusplc_ActuarialGainsLossOnRetirementBenefitObligationsNetOfTax" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_MovementOnPensionAssetRecognitionRestrictionNetOfTax" xlink:label="genusplc_MovementOnPensionAssetRecognitionRestrictionNetOfTax" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_RecognitionOfAdditionalPensionLiabilityNetOfTax" xlink:label="genusplc_RecognitionOfAdditionalPensionLiabilityNetOfTax" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AdjustmentArisingFromChangeInNonControllingInterestAndWrittenPutOption" xlink:label="genusplc_AdjustmentArisingFromChangeInNonControllingInterestAndWrittenPutOption" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_CurrentDeferredConsideration" xlink:label="genusplc_CurrentDeferredConsideration" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_NoncurrentDeferredConsideration" xlink:label="genusplc_NoncurrentDeferredConsideration" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_NonControllingInterest" xlink:label="genusplc_NonControllingInterest" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_PutOptionOverNonControllingInterest" xlink:label="genusplc_PutOptionOverNonControllingInterest" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_JointVentureAndAssociateLoanPaymentRepaymentClassifiedAsInvestingActivities" xlink:label="genusplc_JointVentureAndAssociateLoanPaymentRepaymentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AcquisitionOfTradeAndAssetsClassifiedAsInvestingActivities" xlink:label="genusplc_AcquisitionOfTradeAndAssetsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_AcquisitionOfOlymelAlphageneAssetsClassifiedAsInvestingActivities" xlink:label="genusplc_AcquisitionOfOlymelAlphageneAssetsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_DescriptionOfAccountingPolicyForOtherIncomeAndDeferredIncome" xlink:label="genusplc_DescriptionOfAccountingPolicyForOtherIncomeAndDeferredIncome" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_DescriptionOfAccountingPolicyForClimateChange" xlink:label="genusplc_DescriptionOfAccountingPolicyForClimateChange" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_DisclosureOfExceptionalItems" xlink:label="genusplc_DisclosureOfExceptionalItems" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_DisclosureOfContractBalances" xlink:label="genusplc_DisclosureOfContractBalances" />
    <loc xlink:type="locator" xlink:href="genusplc-2023-06-30.xsd#genusplc_DescriptionOfAccountingPolicyForContractBalances" xlink:label="genusplc_DescriptionOfAccountingPolicyForContractBalances" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustedOperatingProt" xlink:to="label_genusplc_genusplcAdjustedOperatingProt_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustingItemsExceptionalItems" xlink:to="label_genusplc_genusplcAdjustingItemsExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_TotalExceptionalItems" xlink:to="label_genusplc_genusplcTotalExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_TotalAdjustingItems" xlink:to="label_genusplc_genusplcTotalAdjustingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustedOperatingProfit" xlink:to="label_genusplc_genusplcAdjustedOperatingProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustedOperatingLossProfitAttributableToNonControllingInterest" xlink:to="label_genusplc_genusplcAdjustedOperatingLossProfitAttributableToNonControllingInterest_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_PreTaxShareOfProfitsFromJointVenturesAndAssociatesExcludingNetIAS41ValuationMovement" xlink:to="label_genusplc_genusplcPreTaxShareOfProfitsFromJointVenturesAndAssociatesExcludingNetIAS41ValuationMovement_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_GeneEditingCosts" xlink:to="label_genusplc_genusplcGeneEditingCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustedOperatingProfitIncludingJointVenturesAndAssociatesExcludingGeneEditingCosts" xlink:to="label_genusplc_genusplcAdjustedOperatingProfitIncludingJointVenturesAndAssociatesExcludingGeneEditingCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustedOperatingProfitIncludingJointVenturesAndAssociates" xlink:to="label_genusplc_genusplcAdjustedOperatingProfitIncludingJointVenturesAndAssociates_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustedProfitBeforeTax" xlink:to="label_genusplc_genusplcAdjustedProfitBeforeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_BasicAdjustedEarningsPerShare" xlink:to="label_genusplc_genusplcBasicAdjustedEarningsPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_DilutedAdjustedEarningsPerShare" xlink:to="label_genusplc_genusplcDilutedAdjustedEarningsPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_ActuarialLossGainsOnRetirementBenetObligations" xlink:to="label_genusplc_genusplcActuarialLossGainsOnRetirementBenetObligations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_MovementOnPensionAssetRecognitionRestriction" xlink:to="label_genusplc_genusplcMovementOnPensionAssetRecognitionRestriction_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_ReleaseOfAdditionalPensionLiability" xlink:to="label_genusplc_genusplcReleaseOfAdditionalPensionLiability_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_ActuarialGainsLossOnRetirementBenefitObligationsNetOfTax" xlink:to="label_genusplc_genusplcActuarialGainsLossOnRetirementBenefitObligationsNetOfTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_MovementOnPensionAssetRecognitionRestrictionNetOfTax" xlink:to="label_genusplc_genusplcMovementOnPensionAssetRecognitionRestrictionNetOfTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_RecognitionOfAdditionalPensionLiabilityNetOfTax" xlink:to="label_genusplc_genusplcRecognitionOfAdditionalPensionLiabilityNetOfTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AdjustmentArisingFromChangeInNonControllingInterestAndWrittenPutOption" xlink:to="label_genusplc_genusplcAdjustmentArisingFromChangeInNonControllingInterestAndWrittenPutOption_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_CurrentDeferredConsideration" xlink:to="label_genusplc_genusplcCurrentDeferredConsideration_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_NoncurrentDeferredConsideration" xlink:to="label_genusplc_genusplcNoncurrentDeferredConsideration_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_NonControllingInterest" xlink:to="label_genusplc_genusplcNonControllingInterest_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_PutOptionOverNonControllingInterest" xlink:to="label_genusplc_genusplcPutOptionOverNonControllingInterest_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_JointVentureAndAssociateLoanPaymentRepaymentClassifiedAsInvestingActivities" xlink:to="label_genusplc_genusplcJointVentureAndAssociateLoanPaymentRepaymentClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AcquisitionOfTradeAndAssetsClassifiedAsInvestingActivities" xlink:to="label_genusplc_genusplcAcquisitionOfTradeAndAssetsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_AcquisitionOfOlymelAlphageneAssetsClassifiedAsInvestingActivities" xlink:to="label_genusplc_genusplcAcquisitionOfOlymelAlphageneAssetsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_DescriptionOfAccountingPolicyForOtherIncomeAndDeferredIncome" xlink:to="label_genusplc_genusplcDescriptionOfAccountingPolicyForOtherIncomeAndDeferredIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_DescriptionOfAccountingPolicyForClimateChange" xlink:to="label_genusplc_genusplcDescriptionOfAccountingPolicyForClimateChange_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_DisclosureOfExceptionalItems" xlink:to="label_genusplc_genusplcDisclosureOfExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_DisclosureOfContractBalances" xlink:to="label_genusplc_genusplcDisclosureOfContractBalances_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="genusplc_DescriptionOfAccountingPolicyForContractBalances" xlink:to="label_genusplc_genusplcDescriptionOfAccountingPolicyForContractBalances_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_genusplc_genusplcAdjustedOperatingProt_Standard" id="genusplc_genusplcAdjustedOperatingProt_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted operating proﬁt</label>
    <label xlink:label="label_genusplc_genusplcAdjustingItemsExceptionalItems_Standard" id="genusplc_genusplcAdjustingItemsExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusting items exceptional items</label>
    <label xlink:label="label_genusplc_genusplcTotalExceptionalItems_Standard" id="genusplc_genusplcTotalExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional items (net)</label>
    <label xlink:label="label_genusplc_genusplcTotalAdjustingItems_Standard" id="genusplc_genusplcTotalAdjustingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total adjusting items</label>
    <label xlink:label="label_genusplc_genusplcAdjustedOperatingProfit_Standard" id="genusplc_genusplcAdjustedOperatingProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted operating proﬁt</label>
    <label xlink:label="label_genusplc_genusplcAdjustedOperatingLossProfitAttributableToNonControllingInterest_Standard" id="genusplc_genusplcAdjustedOperatingLossProfitAttributableToNonControllingInterest_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted operating loss/(proﬁt) attributable to non-controlling interest</label>
    <label xlink:label="label_genusplc_genusplcPreTaxShareOfProfitsFromJointVenturesAndAssociatesExcludingNetIAS41ValuationMovement_Standard" id="genusplc_genusplcPreTaxShareOfProfitsFromJointVenturesAndAssociatesExcludingNetIAS41ValuationMovement_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Pre-tax share of proﬁts from joint ventures and associates excluding net IAS 41 valuation movement</label>
    <label xlink:label="label_genusplc_genusplcGeneEditingCosts_Standard" id="genusplc_genusplcGeneEditingCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gene editing costs</label>
    <label xlink:label="label_genusplc_genusplcAdjustedOperatingProfitIncludingJointVenturesAndAssociatesExcludingGeneEditingCosts_Standard" id="genusplc_genusplcAdjustedOperatingProfitIncludingJointVenturesAndAssociatesExcludingGeneEditingCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted operating proﬁt including joint ventures and associates, excluding gene editing costs</label>
    <label xlink:label="label_genusplc_genusplcAdjustedOperatingProfitIncludingJointVenturesAndAssociates_Standard" id="genusplc_genusplcAdjustedOperatingProfitIncludingJointVenturesAndAssociates_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted operating proﬁt including joint ventures and associates</label>
    <label xlink:label="label_genusplc_genusplcAdjustedProfitBeforeTax_Standard" id="genusplc_genusplcAdjustedProfitBeforeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted proﬁt before tax</label>
    <label xlink:label="label_genusplc_genusplcBasicAdjustedEarningsPerShare_Standard" id="genusplc_genusplcBasicAdjustedEarningsPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Basic adjusted earnings per share</label>
    <label xlink:label="label_genusplc_genusplcDilutedAdjustedEarningsPerShare_Standard" id="genusplc_genusplcDilutedAdjustedEarningsPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Diluted adjusted earnings per share</label>
    <label xlink:label="label_genusplc_genusplcActuarialLossGainsOnRetirementBenetObligations_Standard" id="genusplc_genusplcActuarialLossGainsOnRetirementBenetObligations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Actuarial (loss)/gains on retirement beneﬁt obligations</label>
    <label xlink:label="label_genusplc_genusplcMovementOnPensionAssetRecognitionRestriction_Standard" id="genusplc_genusplcMovementOnPensionAssetRecognitionRestriction_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movement on pension asset recognition restriction</label>
    <label xlink:label="label_genusplc_genusplcReleaseOfAdditionalPensionLiability_Standard" id="genusplc_genusplcReleaseOfAdditionalPensionLiability_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Release of additional pension liability</label>
    <label xlink:label="label_genusplc_genusplcActuarialGainsLossOnRetirementBenefitObligationsNetOfTax_Standard" id="genusplc_genusplcActuarialGainsLossOnRetirementBenefitObligationsNetOfTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Actuarial gains/loss on retirement benefit obligations, net of tax</label>
    <label xlink:label="label_genusplc_genusplcMovementOnPensionAssetRecognitionRestrictionNetOfTax_Standard" id="genusplc_genusplcMovementOnPensionAssetRecognitionRestrictionNetOfTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movement on pension asset recognition restriction, net of tax</label>
    <label xlink:label="label_genusplc_genusplcRecognitionOfAdditionalPensionLiabilityNetOfTax_Standard" id="genusplc_genusplcRecognitionOfAdditionalPensionLiabilityNetOfTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Recognition of additional pension liability, net of tax</label>
    <label xlink:label="label_genusplc_genusplcAdjustmentArisingFromChangeInNonControllingInterestAndWrittenPutOption_Standard" id="genusplc_genusplcAdjustmentArisingFromChangeInNonControllingInterestAndWrittenPutOption_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustment arising from change in non- controlling interest and written put option</label>
    <label xlink:label="label_genusplc_genusplcCurrentDeferredConsideration_Standard" id="genusplc_genusplcCurrentDeferredConsideration_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred consideration</label>
    <label xlink:label="label_genusplc_genusplcNoncurrentDeferredConsideration_Standard" id="genusplc_genusplcNoncurrentDeferredConsideration_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred consideration</label>
    <label xlink:label="label_genusplc_genusplcNonControllingInterest_Standard" id="genusplc_genusplcNonControllingInterest_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-controlling interest</label>
    <label xlink:label="label_genusplc_genusplcPutOptionOverNonControllingInterest_Standard" id="genusplc_genusplcPutOptionOverNonControllingInterest_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Put option over non-controlling interest</label>
    <label xlink:label="label_genusplc_genusplcJointVentureAndAssociateLoanPaymentRepaymentClassifiedAsInvestingActivities_Standard" id="genusplc_genusplcJointVentureAndAssociateLoanPaymentRepaymentClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Joint venture and associate loan payment classified as investing activities</label>
    <label xlink:label="label_genusplc_genusplcAcquisitionOfTradeAndAssetsClassifiedAsInvestingActivities_Standard" id="genusplc_genusplcAcquisitionOfTradeAndAssetsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of trade and assets classified as investing activities</label>
    <label xlink:label="label_genusplc_genusplcAcquisitionOfOlymelAlphageneAssetsClassifiedAsInvestingActivities_Standard" id="genusplc_genusplcAcquisitionOfOlymelAlphageneAssetsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of Olymel AlphaGene assets classified as investing activities</label>
    <label xlink:label="label_genusplc_genusplcDescriptionOfAccountingPolicyForOtherIncomeAndDeferredIncome_Standard" id="genusplc_genusplcDescriptionOfAccountingPolicyForOtherIncomeAndDeferredIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for other income and deferred income</label>
    <label xlink:label="label_genusplc_genusplcDescriptionOfAccountingPolicyForClimateChange_Standard" id="genusplc_genusplcDescriptionOfAccountingPolicyForClimateChange_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for climate change</label>
    <label xlink:label="label_genusplc_genusplcDisclosureOfExceptionalItems_Standard" id="genusplc_genusplcDisclosureOfExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of exceptional items</label>
    <label xlink:label="label_genusplc_genusplcDisclosureOfContractBalances_Standard" id="genusplc_genusplcDisclosureOfContractBalances_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of contract balances</label>
    <label xlink:label="label_genusplc_genusplcDescriptionOfAccountingPolicyForContractBalances_Standard" id="genusplc_genusplcDescriptionOfAccountingPolicyForContractBalances_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for contract balances</label>
  </labelLink>
</linkbase>